public interface

EmbeddedImage

implements StandardTag
com.atlassian.confluence.xhtml.api.EmbeddedImage
Known Indirect Subclasses

Class Overview

Represents an embedded resource.

Summary

Public Methods
abstract String getAlignment()
abstract String getAlternativeText()
abstract String getExtraQueryParameters()
abstract String getHeight()
abstract String getHspace()
abstract String getMimeType()
abstract ResourceIdentifier getResourceIdentifier()
abstract String getSource()
abstract String getVspace()
abstract String getWidth()
abstract boolean isBorder()
abstract boolean isThumbnail()
[Expand]
Inherited Methods
From interface com.atlassian.confluence.xhtml.api.StandardTag

Public Methods

public abstract String getAlignment ()

Returns
  • the value for the alignment of the image - none, center, left or right

public abstract String getAlternativeText ()

Returns
  • An alternate text for an image

public abstract String getExtraQueryParameters ()

Returns
  • any extra query parameters added by the client. Could potentially be used for servlet filters.

public abstract String getHeight ()

Returns
  • the height of the image either in pixels or percent. e.g. may be purely numeric, or something like nnpx or nn%

public abstract String getHspace ()

Returns
  • the amount of whitespace to be inserted to the left and right of the image (in pixels)

public abstract String getMimeType ()

public abstract ResourceIdentifier getResourceIdentifier ()

public abstract String getSource ()

Returns
  • the url for the source of the image. This only applies to external embedded images so may be null if the image is a Confluence attachment.

public abstract String getVspace ()

Returns
  • the amount of whitespace to be inserted above and below the image (in pixels)

public abstract String getWidth ()

Returns
  • the width of the image either in pixels or percent. e.g. may be purely numeric, or something like nnpx or nn%

public abstract boolean isBorder ()

Returns
  • true if the image should have a border

public abstract boolean isThumbnail ()

Returns
  • true if the image should be shown as a thumbnail.